import "PvMP_Plus";

_G.version = "1.1";
_G.Ranks = { [0]=0, [1]=500, [2]=1250, [3]=2750, [4]=5750, [5]=14750, [6]=33500, [7]=71000, [8]=146000, [9]=258500, [10]=408500, [11]=633500, [12]=1008500, [13]=1608500, [14]=2508500, [15]=3708500 };

--TODO:
-- bessere Grafiken (aus buffbars)
-- fehlerbehandlung falls falsche daten eingegeben werden (opt. + init!)
-- franz. lokalisierung (umlaute?)
-- fenster resizeable machen
-- mglichkeit zum korrigieren der stats
-- commendations entfernen beim fertigkeitenkauf
-- durch commendations abfragen ob lotro gecrasht ist


_G.storage = Turbine.PluginData.Load(Turbine.DataScope.Character,"PvMP_Plus");
if storage == nil then
	_G.data_loaded = false
	_G.storage = {};
	storage.points_total = 0;
else
	_G.data_loaded = true;
end

_G.saving_permitted = false;
initWindow = InitWindow();
overviewWindow = OverviewWindow();

if data_loaded then
	overviewWindow:UpdateOverview(true)
else
	initWindow:Open();
end

Plugins["PvMP+"].Unload = function(sender, args)
	if saving_permitted then
		storage.version = version;
		storage.overview_x, storage.overview_y = overviewWindow:GetPosition();
		Turbine.PluginData.Save(Turbine.DataScope.Character, "PvMP_Plus", storage);
	--	Turbine.Shell.WriteLine("saved");
	end
end

plugin.GetOptionsPanel = function(self)
	local opt_panel = Turbine.UI.Control();
	opt_panel:SetHeight(100);
		
	local update_button = Turbine.UI.Lotro.Button();
	update_button:SetText(L.Options_Update);
	update_button:SetPosition(15,15);
	update_button:SetSize(200,30);
	update_button:SetParent(opt_panel);

	local reset_button = Turbine.UI.Lotro.Button();
	reset_button:SetText(L.Options_Reset);
	reset_button:SetPosition(15,40);
	reset_button:SetSize(200,30);
	reset_button:SetParent(opt_panel);
	
	update_button.MouseClick = function()
		initWindow:Open();
	end

	reset_button.MouseClick = function()
		storage.overview_x = Turbine.UI.Display:GetWidth()/2 - overviewWindow:GetWidth()/2;
		storage.overview_y = 0;
		overviewWindow:UpdatePosition();
	end
	
	return opt_panel
end